const months = [
    'January', 'February', 'March', 'April', 'May', 'June',
    'July', 'August', 'September', 'October', 'November', 'December'
];

const ordinals = [
    'first', 'second', 'third', 'fourth', 'fifth', 'sixth', 'seventh',
    'eighth', 'ninth', 'tenth', 'eleventh', 'twelfth', 'thirteenth',
    'fourteenth', 'fifteenth', 'sixteenth', 'seventeenth', 'eighteenth',
    'nineteenth', 'twentieth', 'twenty-first', 'twenty-second', 'twenty-third',
    'twenty-fourth', 'twenty-fifth', 'twenty-sixth', 'twenty-seventh',
    'twenty-eighth', 'twenty-ninth', 'thirtieth', 'thirty-first'
];

const weekdays = [
    'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'
];


export function formatDate(timestr) {
    const datestr = timestr.slice(0, 10);
    const [year, month, monthday] = datestr.split('-').map(n => parseInt(n));
    // for some reason the Date constructor expects the month index instead of ordinal
    const weekdayIdx = new Date(year, month - 1, monthday).getDay();
    const names = {
        month: months[month - 1],
        monthday: ordinals[monthday - 1],
        weekday: weekdays[weekdayIdx],
    }
    return `${names.weekday}, the ${names.monthday} of ${names.month}, A.D. ${year}`;
}
