import { visit } from 'unist-util-visit';
import { toString } from 'mdast-util-to-string';


// build table of contents and inject into frontmatter
export function localRemark() {
    return (tree, vfile) => {
        let toc = [];
        
        visit(tree, 'heading', node => {
            toc.push({
                text: toString(node),
                depth: node.depth,
            });
        });

        vfile.data.fm.toc = toc;
    }
}
