import staticAdapter from '@sveltejs/adapter-static';
import { mdsvex } from 'mdsvex';

import { localRemark } from './src/plugins/remark.js';
import { localRehype } from './src/plugins/rehype.js';

/** @type {import('@sveltejs/kit').Config} */
const config = {
    extensions: ['.svelte', '.svx'],
    preprocess: [
        mdsvex({
            layout: './src/lib/Post.svelte',
            remarkPlugins: [localRemark],
            rehypePlugins: [localRehype],
        }),
    ],
    kit: {
        // adapter-auto only supports some environments, see https://kit.svelte.dev/docs/adapter-auto for a list.
        // If your environment is not supported or you settled on a specific environment, switch out the adapter.
        // See https://kit.svelte.dev/docs/adapters for more information about adapters.
        adapter: staticAdapter(),
    }
};

export default config;
